Package org.apache.tools.ant.taskdefs.optional.net

## Class FTP.Action

- java.lang.Object
- - org.apache.tools.ant.types.EnumeratedAttribute
  - - org.apache.tools.ant.taskdefs.optional.net.FTP.Action

- Enclosing class:
    FTP

      public static class FTP.Action
      extends EnumeratedAttribute

  an action to perform, one of "send", "put", "recv", "get", "del", "delete", "list", "mkdir", "chmod", "rmdir"

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute

      `value`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Action()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getAction()` | Get the symbolic equivalent of the action value.
    `java.lang.String[]` | `getValues()` | Get the valid values

    - ### Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute

      `containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Action

          public Action()

  - ### Method Detail

    - #### getValues

          public java.lang.String[] getValues()

      Get the valid values
      Specified by:
        `getValues` in class `EnumeratedAttribute`
      Returns:
        an array of the valid FTP actions.

    - #### getAction

          public int getAction()

      Get the symbolic equivalent of the action value.
      Returns:
        the SYMBOL representing the given action.